NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Die.SteelInsertSectionBuilder Class Reference

Represents a Steel Insert Section sub feature. More...

Inheritance diagram for NXOpen.Die.SteelInsertSectionBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  ExtensionTypeOption { Constant, MaxdistPlusConst, Law }
 Settings for the extension type. More...
 

Public Member Functions

unsafe void GetBackAttributes (out string title, out string value, out int color)
 Gets the back faces attributes More...
 
unsafe void GetBaseAttributes (out string title, out string value, out int color)
 Gets the base faces attributes More...
 
unsafe void GetEndAttributes (out string title, out string value, out int color)
 Gets the end faces attributes More...
 
unsafe void GetFlangeWallAttributes (out string title, out string value, out int color)
 Gets the flange wall attributes More...
 
unsafe void GetFormingAttributes (out string title, out string value, out int color)
 Gets the forming faces attributes More...
 
unsafe void GetTrimWallAttributes (out string title, out string value, out int color)
 Gets the steelinsert trim wall faces attributes More...
 
unsafe void SetBackAttributes (string title, string value, int color)
 Sets the back faces attributes More...
 
unsafe void SetBackSideReliefDistance (string backSideReliefDistance)
  More...
 
unsafe void SetBaseAttributes (string title, string value, int color)
 Sets the base faces attributes More...
 
unsafe void SetBeltThickness (string beltThickness)
  More...
 
unsafe void SetEndAttributes (string title, string value, int color)
 Sets the end faces attributes More...
 
unsafe void SetExtensionDistance (string extensionDistance)
  More...
 
unsafe void SetFlangeWallAttributes (string title, string value, int color)
 Sets the flange wall attributes More...
 
unsafe void SetFormingAttributes (string title, string value, int color)
 Sets the forming faces attributes More...
 
unsafe void SetOffsetProfileToTop (string offsetProfileToTop)
  More...
 
unsafe void SetPlanarOffsetHeight (string planarOffsetHeight)
  More...
 
unsafe void SetProductContactRelief (string productContactRelief)
  More...
 
unsafe void SetProductContactWidth (string productContactWidth)
  More...
 
unsafe void SetProfileRelief (string profileRelief)
  More...
 
unsafe void SetReliefAngle (string reliefAngle)
  More...
 
unsafe void SetTrimWallAttributes (string title, string value, int color)
 Sets the steelinsert trim wall faces attributes More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Expression BackSideReliefDistance [get]
 Returns the back/side relief distance of the steel insert casting More...
 
unsafe NXOpen.Expression BeltThickness [get]
 Returns the belt thickness More...
 
unsafe NXOpen.Expression ExtensionDistance [get]
 Returns the extension distance More...
 
unsafe
NXOpen.Die.SteelInsertSectionBuilder.ExtensionTypeOption 
ExtensionType [get, set]
 Returns or sets the extension type More...
 
unsafe double MassLimit [get, set]
 Returns or sets the mass limit of the steel insert casting More...
 
unsafe NXOpen.Expression OffsetProfileToTop [get]
 Returns the offset of the profile to the top of the steel insert casting More...
 
unsafe NXOpen.Expression PlanarOffsetHeight [get]
 Returns the planar contact height of the steel insert casting More...
 
unsafe NXOpen.Expression ProductContactRelief [get]
 Returns the product contact relief of the steel insert casting More...
 
unsafe NXOpen.Expression ProductContactWidth [get]
 Returns the product contact width of the steel insert casting More...
 
unsafe NXOpen.Expression ProfileRelief [get]
 Returns the profile relief More...
 
unsafe NXOpen.Expression ReliefAngle [get]
 Returns the relief angle More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Steel Insert Section sub feature.

This sub feature is created via the main feature builder.

Created in NX4.0.0

Member Enumeration Documentation

Settings for the extension type.

Enumerator
Constant 

constant

MaxdistPlusConst 

maximum distance + constant

Law 

law

Member Function Documentation

unsafe void NXOpen.Die.SteelInsertSectionBuilder.GetBackAttributes ( out string  title,
out string  value,
out int  color 
)
inline

Gets the back faces attributes

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Parameters
titletitle for attribute
valuevalue of attribute
colorcolor of back faces
unsafe void NXOpen.Die.SteelInsertSectionBuilder.GetBaseAttributes ( out string  title,
out string  value,
out int  color 
)
inline

Gets the base faces attributes

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Parameters
titletitle for attribute
valuevalue of attribute
colorcolor of base faces
unsafe void NXOpen.Die.SteelInsertSectionBuilder.GetEndAttributes ( out string  title,
out string  value,
out int  color 
)
inline

Gets the end faces attributes

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Parameters
titletitle for attribute
valuevalue of attribute
colorcolor of end faces
unsafe void NXOpen.Die.SteelInsertSectionBuilder.GetFlangeWallAttributes ( out string  title,
out string  value,
out int  color 
)
inline

Gets the flange wall attributes

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Parameters
titletitle for attribute
valuevalue of attribute
colorcolor of flange wall faces
unsafe void NXOpen.Die.SteelInsertSectionBuilder.GetFormingAttributes ( out string  title,
out string  value,
out int  color 
)
inline

Gets the forming faces attributes

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Parameters
titletitle for attribute
valuevalue of attribute
colorcolor of forming faces
unsafe void NXOpen.Die.SteelInsertSectionBuilder.GetTrimWallAttributes ( out string  title,
out string  value,
out int  color 
)
inline

Gets the steelinsert trim wall faces attributes

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Parameters
titletitle for attribute
valuevalue of attribute
colorcolor of trim wall faces
unsafe void NXOpen.Die.SteelInsertSectionBuilder.SetBackAttributes ( string  title,
string  value,
int  color 
)
inline

Sets the back faces attributes

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Parameters
titletitle for attribute
valuevalue of attribute
colorcolor of back faces
unsafe void NXOpen.Die.SteelInsertSectionBuilder.SetBackSideReliefDistance ( string  backSideReliefDistance)
inline

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Parameters
backSideReliefDistance
unsafe void NXOpen.Die.SteelInsertSectionBuilder.SetBaseAttributes ( string  title,
string  value,
int  color 
)
inline

Sets the base faces attributes

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Parameters
titletitle for attribute
valuevalue of attribute
colorcolor of base faces
unsafe void NXOpen.Die.SteelInsertSectionBuilder.SetBeltThickness ( string  beltThickness)
inline

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Parameters
beltThickness
unsafe void NXOpen.Die.SteelInsertSectionBuilder.SetEndAttributes ( string  title,
string  value,
int  color 
)
inline

Sets the end faces attributes

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Parameters
titletitle for attribute
valuevalue of attribute
colorcolor of end faces
unsafe void NXOpen.Die.SteelInsertSectionBuilder.SetExtensionDistance ( string  extensionDistance)
inline

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Parameters
extensionDistance
unsafe void NXOpen.Die.SteelInsertSectionBuilder.SetFlangeWallAttributes ( string  title,
string  value,
int  color 
)
inline

Sets the flange wall attributes

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Parameters
titletitle for attribute
valuevalue of attribute
colorcolor of flange wall faces
unsafe void NXOpen.Die.SteelInsertSectionBuilder.SetFormingAttributes ( string  title,
string  value,
int  color 
)
inline

Sets the forming faces attributes

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Parameters
titletitle for attribute
valuevalue of attribute
colorcolor of forming faces
unsafe void NXOpen.Die.SteelInsertSectionBuilder.SetOffsetProfileToTop ( string  offsetProfileToTop)
inline

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Parameters
offsetProfileToTop
unsafe void NXOpen.Die.SteelInsertSectionBuilder.SetPlanarOffsetHeight ( string  planarOffsetHeight)
inline

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Parameters
planarOffsetHeight
unsafe void NXOpen.Die.SteelInsertSectionBuilder.SetProductContactRelief ( string  productContactRelief)
inline

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Parameters
productContactRelief
unsafe void NXOpen.Die.SteelInsertSectionBuilder.SetProductContactWidth ( string  productContactWidth)
inline

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Parameters
productContactWidth
unsafe void NXOpen.Die.SteelInsertSectionBuilder.SetProfileRelief ( string  profileRelief)
inline

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Parameters
profileRelief
unsafe void NXOpen.Die.SteelInsertSectionBuilder.SetReliefAngle ( string  reliefAngle)
inline

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Parameters
reliefAngle
unsafe void NXOpen.Die.SteelInsertSectionBuilder.SetTrimWallAttributes ( string  title,
string  value,
int  color 
)
inline

Sets the steelinsert trim wall faces attributes

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Parameters
titletitle for attribute
valuevalue of attribute
colorcolor of trim wall faces

Property Documentation

unsafe NXOpen.Expression NXOpen.Die.SteelInsertSectionBuilder.BackSideReliefDistance
get

Returns the back/side relief distance of the steel insert casting

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

unsafe NXOpen.Expression NXOpen.Die.SteelInsertSectionBuilder.BeltThickness
get

Returns the belt thickness

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

unsafe NXOpen.Expression NXOpen.Die.SteelInsertSectionBuilder.ExtensionDistance
get

Returns the extension distance

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

unsafe NXOpen.Die.SteelInsertSectionBuilder.ExtensionTypeOption NXOpen.Die.SteelInsertSectionBuilder.ExtensionType
getset

Returns or sets the extension type

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe double NXOpen.Die.SteelInsertSectionBuilder.MassLimit
getset

Returns or sets the mass limit of the steel insert casting

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe NXOpen.Expression NXOpen.Die.SteelInsertSectionBuilder.OffsetProfileToTop
get

Returns the offset of the profile to the top of the steel insert casting

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

unsafe NXOpen.Expression NXOpen.Die.SteelInsertSectionBuilder.PlanarOffsetHeight
get

Returns the planar contact height of the steel insert casting

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

unsafe NXOpen.Expression NXOpen.Die.SteelInsertSectionBuilder.ProductContactRelief
get

Returns the product contact relief of the steel insert casting

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

unsafe NXOpen.Expression NXOpen.Die.SteelInsertSectionBuilder.ProductContactWidth
get

Returns the product contact width of the steel insert casting

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

unsafe NXOpen.Expression NXOpen.Die.SteelInsertSectionBuilder.ProfileRelief
get

Returns the profile relief

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

unsafe NXOpen.Expression NXOpen.Die.SteelInsertSectionBuilder.ReliefAngle
get

Returns the relief angle

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.